import { Router } from '@angular/router';
import { AuthBaseService } from 'base-foundation';
import { OnInit } from '@angular/core';
/**
 * Representa um componente para aceitar o redirecionamento de callback do fluxo de oauth2
 */
export declare class AuthCallbackComponent implements OnInit {
    private router;
    private authService;
    /**
     *Creates an instance of AuthCallbackComponent.
     * @param {Router} router
     * @param {ActivatedRoute} activatedRoute
     * @param {AuthBaseService} authService
     * @memberof AuthCallbackComponent
     */
    constructor(router: Router, authService: AuthBaseService);
    ngOnInit(): void;
}
